WordPress.org

Ready to get started?Download WordPress

Forums

Fatal error after upgrade 2.7 to 2.8 (36 posts)

  1. Palmouse
    Member
    Posted 5 years ago #

    I clicked on the "Please upgrade to 2.8" link in the admin panel and now I cannot reach my website and the admin panel.

    It says :

    Fatal error: Cannot redeclare wp_clone() (previously declared in /www/wp-settings.php:283) in /www/wp-includes/functions.php on line 2908

    Does someone know how to fix this ??

    Please help me, I am so scared that I have to do all over again...

  2. MichaelH
    Member
    Posted 5 years ago #

    Please help me, I am so scared that I have to do all over again...

    You have backups, correct? If so you should never have to "do all over again".

    Deactivate plugins and see if that resolves your problem.
    How to deactivate all plugins when not able to access the administrative menus?

  3. Palmouse
    Member
    Posted 5 years ago #

    I don' have backups...
    I saw the link too late, I had already clicked on the link "upgrade"... My fault...

    There is no other way to fix this ?

  4. MichaelH
    Member
    Posted 5 years ago #

    Review WordPress Backups to make sure you have backups in the future.

    Did you try deactiving plugins?

  5. Palmouse
    Member
    Posted 5 years ago #

    Did the upgrade modify something in the database ?

    If not, I could upload wordpress 2.7 on my server to overwrite the files, right ?

  6. Palmouse
    Member
    Posted 5 years ago #

    How could I deactivate plugins ? I don't have access to the admin panel...

    All my website displays the message :

    Fatal error: Cannot redeclare wp_clone() (previously declared in /www/wp-settings.php:283) in /www/wp-includes/functions.php on line 2908

  7. Samuel B
    moderator
    Posted 5 years ago #

    Deactivate plugins and see if that resolves your problem.

    are you ignoring this on purpose?

  8. MichaelH
    Member
    Posted 5 years ago #

  9. Palmouse
    Member
    Posted 5 years ago #

    No but :

    How could I deactivate plugins ? I don't have access to the admin panel...

  10. Palmouse
    Member
    Posted 5 years ago #

    Thanks i'll try this

  11. Palmouse
    Member
    Posted 5 years ago #

    It does not work...

    I tried the 2 ways, with phpMyAdmin and then with the empty folder but in the 2 cases I am not able to reach the administration panel.

    Sometimes it may be necessary to deactivate all plugins, but you can't access the administrative menus to do so. One of two methods are available to deactivate all plugins.

    * Use phpMyAdmin
    o In the table wp_options, under the option_name column (field) find the active_plugins row
    o Change the option_value field to: a:0:{}

    or

    * Create an empty plugins folder
    o Via FTP or your host's control panel, navigate to the wp-contents folder (directory)
    o Via FTP or your host's control panel, rename the folder "plugins" to "plugins.hold"
    o Via FTP or your host's control panel, create new folder called "plugins"
    o Login to your WordPress administration menus
    o Via FTP or your host's control panel, delete the empty "plugins" you previous created
    o Via FTP or your host's control panel, rename "plugins.hold" back to "plugins"

  12. MichaelH
    Member
    Posted 5 years ago #

    Okay so now all plugins are deactivated.

    Try clearing your browser cache and cookies.

  13. Palmouse
    Member
    Posted 5 years ago #

    Ok, so I changed the option_value field to a:0 in phpMyAdmin, I have created an empty "plugins" folder and renamed the original one to "plugins.hold".
    I cleaned my browser cache and cookies.
    I tried with an other browser.
    i tried on an other computer and I still have the same problem.

    I am not able to reach my website or the administration panel, I keep having the Fatal Error.

    There is an "upgrade" folder in www/wp-content, should I delete it ?
    What can I do ? Nothing is working...

  14. Palmouse
    Member
    Posted 5 years ago #

    Yeah, that's maybe the best idea...

    How should I do to roll back to 2.7 without loosing my plugins, themes, etc. ?

    Because, like I said, I don't have backup files...

  15. angrywpuser
    Member
    Posted 5 years ago #

    http://wordpress.org/download/release-archive/

    You can download 2.71. I did, and I'm coming back up now.

    I'm also going to move to Drupal. WordPress just violated trust with this upgrade, and I had 15 minutes of downtime, which is unacceptable, given how they advertise an easy upgrade process.

  16. Palmouse
    Member
    Posted 5 years ago #

    Thanks angrywpuser ! It's working now !
    My website was done 1 hour but your advice saved me.

    Drupal is better than Joomla ?

  17. angrywpuser
    Member
    Posted 5 years ago #

    I feel that Drupal is the 2nd choice after WordPress. I love WordPress, but after this violation of trust, I can't bank my blog on it.

  18. Palmouse
    Member
    Posted 5 years ago #

    Last question angrywpuser,

    Now my website is running and everything came back to normal except that I have this message on my administration panel :

    An automated WordPress update has failed to complete - please attempt the update again now.

    And my dashboard do not display anything else that this message.

    Should I delete the "upgrade" folder in www/wp-content to fix this ?

  19. MichaelH
    Member
    Posted 5 years ago #

    Just as a note, upgraded 5 blogs on 3 servers this morning with no problems.

  20. angrywpuser
    Member
    Posted 5 years ago #

    Well, that's great for you, MichaelH, but plenty of people seem to be having issues. Just so you know, I've been using WP since it came out, so I know how to do a bloody upgrade.

    I was met with this:
    Fatal error: Class 'Translations' not found in /f1/content/XXXXXX/public/wp-includes/l10n.php on line 408

    When I rolled back to 2.71, no problems. So it appears that something is wrong with 2.8. Not quite ready for prime time...too bad it came at the expense of peoples' uptime.

  21. Palmouse
    Member
    Posted 5 years ago #

    Can I (Should I) delete the "upgrade" folder on my server to remove the message ?

  22. angrywpuser
    Member
    Posted 5 years ago #

    Yes, do that, and you should be fine. As long as you didn't actually start the upgrade, nothing in your database should be affected.

  23. MichaelH
    Member
    Posted 5 years ago #

    @Palmouse - that message should go away eventually but you can delete the .maintenance file in your wordpress 'root' folder (where wp-admin/wp-content/wp-includes folders reside).

  24. polanri
    Member
    Posted 5 years ago #

    I have exactly the same problem.

    # Clicked on the "upgrade link" before seeing the backup warning (should probably have a "are you sure?" popup there..)

    # Upgrade process started then stopped after "Installing the latest version"

    I now have the exact same error, any help will be greatly appreciated

  25. angrywpuser
    Member
    Posted 5 years ago #

    At this point, I would suggest rolling back to 2.71, per the link above.

    It seems something is corrupt in this version, and it is obviously not ready for release. So, to get you up and running again, roll back to 2.71, and then wait for the WordPress gods to speak to us lowly serfs as to what happened.

  26. Palmouse
    Member
    Posted 5 years ago #

    I have deleted the .maintenance and the message went away but my Dashboard is still blank.

    I have the sidebar on the left but no content when I click on the "Dashboard" buton.

  27. myuzikal_flare
    Member
    Posted 5 years ago #

    i'm having the same problem too.
    extremely disappointed.

    I deactivated all my plugins and made a backup.

    I am doing a manual install.

    Would very much like a fix anyone???

  28. engloy
    Member
    Posted 5 years ago #

    I upgraded one blog yesterday with no problems.

    I tried upgrading my second blog today... Disaster! (and I should have backed-up too). Not only are my blog directories gone from my server, my subdomains have been screwed up, I can't access my webhosting control panel, no phpAdmin to log into as well... short of a few non-wordpress directories on my server, everything seemed to have disappeared into oblivion!

    I'm using Yahoo webhosting... Just gave them a call (had to use Skype phone to save on connection charges). They are trying to fix it but I'm not too hopeful :(

  29. theodise1
    Member
    Posted 5 years ago #

    hi,
    i screwed up the 2.8 upgrade too.
    my situation is similar to what Palmouse experienced, nothing running (managed to deactivate plugins) , but i am so ignorant on this stuff, i cannot go back to version 2.7.1
    i have replaced the new "wordpress" file under www with the new downloaded older version
    i have also placed wp_content, wp_admin and wp_includes under www, separately than the wordpress file (cause i couldn't be sure where they were before)
    and i have also put them under public-html, cause i read it in a forum.

    i am totally confused, aware that i might sound really stupid, and in need for help. please?

    never thought it'd be this hard.

  30. rdwoolf
    Member
    Posted 5 years ago #

    I am having the exact same problems.

    Because the automatic upgrade option NEVER worked, I decided to upgrade my blog manually. I did everything I was supposed to do according to this page:

    http://codex.wordpress.org/Upgrading_WordPress_Extended#Step_3:_Verify_the_backups

    I still get this error message:

    Fatal error: Cannot redeclare wp_clone()

    This really sucks.

    I do have all my files backed up....but I find it very annoying that the upgrade doesn't work even when I followed all of the supposed rules.

    Does this mean I am stuck using the old version forever?

Topic Closed

This topic has been closed to new replies.

About this Topic